JSP v1.1 and Servlet v2.2 API Reference: Class HttpSessionBindingEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class HttpSessionBindingEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.servlet.http.HttpSessionBindingEvent

public class HttpSessionBindingEvent
extends java.util.EventObject

Sent to an object that implements `HttpSessionBindingListener` when the object is bound to or unbound from the session.

The session binds the object by a call to `HttpSession.putValue` and unbinds the object by a call to `HttpSession.removeValue`.

Version:
  $Version$
Author:
  Various
See Also:
  `HttpSession`, `HttpSessionBindingListener`, Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HttpSessionBindingEvent(HttpSession session, java.lang.String name)` Constructs an event that notifies an object that it has been bound to or unbound from a session.

Method Summary
`java.lang.String` | `getName()` Returns the name with which the object is bound to or unbound from the session.
`HttpSession` | `getSession()` Returns the session to or from which the object is bound or unbound.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpSessionBindingEvent

    public HttpSessionBindingEvent(HttpSession session,
                                   java.lang.String name)

  Constructs an event that notifies an object that it has been bound to or unbound from a session. To receive the event, the object must implement `HttpSessionBindingListener`.
  Parameters:
    `session` - the session to which the object is bound or unbound
    `name` - the name with which the object is bound or unbound
  See Also:
    `getName()`, `getSession()`

Method Detail

### getName

    public java.lang.String getName()

  Returns the name with which the object is bound to or unbound from the session.
  Returns:
    a string specifying the name with which the object is bound to or unbound from the session

### getSession

    public HttpSession getSession()

  Returns the session to or from which the object is bound or unbound.
  Returns:
    the session to which the object is bound or from which the object is unbound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD